# $Revision: 1.16 $, $Date: 2010/08/21 19:08:27 $
%include	/usr/lib/rpm/macros.php
%define		_class		Services
%define		_subclass	Google
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Provides access to the Google Web APIs
Summary(pl.UTF-8):	%{_pearname} - Dostęp do API stron Google
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8960f656886605df9dff31faa7d8d10b
URL:		http://pear.php.net/package/Services_Google/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
Requires:	php-soap
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows easy access to the Google Web APIs for the search engine,
spelling suggestions, and cache.

To use the package you'll need an API key from
<http://www.google.com/apis/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pozwala na łatwy dostęp do API stron Google - wyszukiwarki, porad
dotyczących pisowni oraz cache.

Aby użyć tego pakietu potrzebny będzie klucz API ze strony
<http://www.google.com/apis/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Google.spec,v $
Revision 1.16  2010/08/21 19:08:27  glen
- updated deps with pearize.sh
- release 2

Revision 1.15  2008/05/03 09:08:54  adamg
- updated to 0.2.0

Revision 1.14  2008-01-31 12:16:50  glen
- rel 3

Revision 1.13  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.10  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.9  2006/04/02 13:29:15  glen
- cleanup

Revision 1.8  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.7  2005/10/06 19:05:28  glen
- updated to 0.1.1

Revision 1.6  2005/10/05 20:59:32  glen
- rel 3

Revision 1.5  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.4  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.3  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.2  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.1  2004/08/07 14:43:40  adamg
- new

